import React, { useState, useCallback } from 'react';

export default function () {
  const [menuVisible, setMenuVisible] = useState<boolean>(false);

  const closeMenu: () => void = () => {
    setMenuVisible(false);
  };
  const toggleMenu: () => void = () => {
    setMenuVisible(!menuVisible);
  };
  return {
    menuVisible,
    toggleMenu,
    closeMenu,
  };
}
